# getDoclet

open fun getDoclet(): String

-doclet class

Specifies the class file that starts the doclet used in generating the documentation. Use the fully-qualified name. This doclet defines the content and formats the output. If the -doclet option is not used, javadoc uses the standard doclet for generating the default HTML format. This class must contain the start(Root) method. The path to this starting class is defined by the -docletpath option.

For example, to call the MIF doclet, use:

-doclet com.sun.tools.doclets.mif.MIFDoclet

For full, working examples of running a particular doclet, see Running the MIF Doclet.